Subject: Re: [PATCH] Fake NUMA emulation for PowerPC

From: Arnd Bergmann <[email-masked]>
Date: Fri, 7 Dec 2007 22:58:17 +0100

On Friday 07 December 2007, Balbir Singh wrote:
> Balbir Singh wrote:
> > Geert Uytterhoeven wrote:
> >> On Sat, 8 Dec 2007, Balbir Singh wrote:
> >>> +   if (strstr(p, "fake="))
> >>> +           cmdline = p + 5;        /* 5 is faster than strlen("fake=") */
> >> Really? My gcc is smart enough to replace the `strlen("fake=")' by 5, even
> >> without -O.
> >>
> > 
> > Thanks for pointing that out, but I am surprised that a compiler would
> > interpret library routines like strlen.
> > 
> 
> I just tested it and it turns out that you are right. I'll go hunt to
> see where gcc gets its magic powers from.
> 

Even if it wasn't: Why the heck would you want to optimize this? The function
is run _once_ at boot time and the object code gets thrown away afterwards!

	Arnd <><